import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const vetFarmGetOutOfProvinceRequests = createAsyncThunk(
  "VET_FARM_GET_OUT_OF_PROVINCE_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `temporary-out-province-poultry-requests`,
      {
        params: {
          role: getRoleFromUrl(),
          date1: d.selectedDate1,
          date2: d.selectedDate2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
